--- Cura-3.1.0-orig/CMakeLists.txt  2017-12-04 18:05:38.000000000 +0200
+++ Cura-3.1.0/CMakeLists.txt   2017-12-29 18:11:19.508034087 +0200
@@ -36,10 +36,20 @@
 
 find_package(PythonInterp 3.5.0 REQUIRED)
 
+if(NOT PYTHON_SITE_PACKAGES_DIR)
+   if(APPLE OR WIN32)
+       set(PYTHON_SITE_PACKAGES_DIR lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
+           CACHE STRING "Directory to install Python bindings to")
+   else()
+       set(PYTHON_SITE_PACKAGES_DIR lib/python${PYTHON_VERSION_MAJOR}/dist-packages
+           CACHE STRING "Directory to install Python bindings to")
+   endif()
+endif()
+
 install(DIRECTORY resources
         DESTINATION ${CMAKE_INSTALL_DATADIR}/cura)
 install(DIRECTORY plugins
-        DESTINATION lib${LIB_SUFFIX}/cura)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cura)
 if(NOT APPLE AND NOT WIN32)
     install(FILES cura_app.py
             DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -53,10 +63,10 @@
             DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages/cura)
     else()
         install(DIRECTORY cura
-            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
+            DESTINATION ${PYTHON_SITE_PACKAGES_DIR}
             FILES_MATCHING PATTERN *.py)
         install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
-            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
+            DESTINATION ${PYTHON_SITE_PACKAGES_DIR}/cura)
     endif()
     install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
